<?
	/** Plik modyfikujacy dane zadania dotyczace grupy.
	 *
	 * Zastosowane jest dośc obszerny sposób pobierania.
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	include './functions/Aview.fun.php';

	//print"Witamy Asystencie!<BR><BR>\n";
	printf("<H1>Modyfikacja</H1>");
	$text = getLittle();
	print("<H2>$text</H2>");

	if ($wynik == "") {
	
		$tab = new CTable(1, "asys_Form");
		$tab->tprint();
		print("<TD>");

		$form = new CForm();
		$form->xexepage("Asys_mod");
		$form->xpage("Asys_mod");
		$form->input('A_gr_nr',"hidden","VALUE=\"$Numer_grupy\"");
		$form->input('A_cyk_id',"hidden","VALUE=\"$Id_w_cyklu\"");
		$form->input('A_op',"hidden", "VALUE=\"same\"");
		
		$def = &$sess->getTab("Amod", "tm");
		//print(",$def,");
		if ($def != "") {
			$rok = substr($def, 0, 4);
			//print(",$def,");
			$mies = substr($def, 5, 2);
			$dzien = substr($def, 8, 2);
			$godz = substr($def, 11, 2);
			$min = substr($def, 14, 2);
			$sek = substr($def, 17, 2);
			//printf("\nTo:%s,%s,%s,%s,%s,%s",$rok, $mies, $dzien, $godz, $min, $sek);
			$pr = $form->getDate($rok, $mies, $dzien, $godz, $min, $sek);
		}
		else {
			$pr = $form->getDate();
		}
		printf("<P>Termin w grupie:<BR>");
		print($pr);
		printf("</P><P>Czy nalezy : ");
		$def = &$sess->getTab("Amod", "nal");
		if ($def == Y) {
			printf("<INPUT TYPE=\"radio\" NAME=\"Nalezy\" VALUE=\"Y\" checked> tak");
			printf("<INPUT TYPE=\"radio\" NAME=\"Nalezy\" VALUE=\"N\"> nie");
		}
		else {
			printf("<INPUT TYPE=\"radio\" NAME=\"Nalezy\" VALUE=\"Y\"> tak");
			printf("<INPUT TYPE=\"radio\" NAME=\"Nalezy\" VALUE=\"N\" checked> nie");
		}
		//$form->input("Nalezy","text");
		printf("</P><P>Poziom sprawdzania: ");
		printf("</P>");
		$def = &$sess->getTab("Amod", "poz");

		$licz1 = $def % 2;
		$w1 = floor ($def / 2);
		$licz2 = $w1 % 2;
		$w2 = floor ($w1 / 2);
		$st = "";

		if ($licz1 == 1) {
			printf("<INPUT TYPE=\"checkbox\" NAME=\"Czy_sl\" VALUE=\"true\" checked> Liczenie słów kluczowych<BR>");
		}
		else {
			printf("<INPUT TYPE=\"checkbox\" NAME=\"Czy_sl\" VALUE=\"true\"> Liczenie słów kluczowych<BR>");
		}
		if ($licz2 == 1) {
			printf("<INPUT TYPE=\"checkbox\" NAME=\"Czy_diff\" VALUE=\"true\" checked> Stosowanie diff'a<BR>");
		}
		else {
			printf("<INPUT TYPE=\"checkbox\" NAME=\"Czy_diff\" VALUE=\"true\"> Stosowanie diff'a<BR>");
		}

		printf("Poziom zagłębienia modułu: ");
/*		$form->input("Poziom_spr","text","MAXLENGTH=3 SIZE=4 VALUE=$w2");*/
		if ($w2 < 0) $w2 = 0;
		$pocz = 0;
		if ($w2 > 8)
			$kon = $w2 + 3;
		else
			$kon = 9;
		printf($form->select("Poziom_spr", $pocz, $kon, $w2));
		printf("<BR>");

		printf("<P>Zakres sprawdzania: </P>");
		$def = &$sess->getTab("Amod", "zak");
/*		$form->input("Zakres_spr","text","MAXLENGTH=3 SIZE=4 VALUE=$def");*/

		if ($def == 0) {
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"0\" checked> nie sprawdzaj<BR>");
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"1\"> sprawdzaj w obrębie grupy<BR>");
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"3\"> sprawdzaj w obrębie przedmiotu<BR>");
		}
		else if ($def == 1) {
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"0\"> nie sprawdzaj<BR>");
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"1\" checked> sprawdzaj w obrębie grupy<BR>");
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"3\"> sprawdzaj w obrębie przedmiotu<BR>");
		}
		else if ($def == 3) {
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"0\"> nie sprawdzaj<BR>");
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"1\"> sprawdzaj w obrębie grupy<BR>");
			printf("<INPUT TYPE=\"radio\" NAME=\"Zakres_spr\" VALUE=\"3\" checked> sprawdzaj w obrębie przedmiotu<BR>");
		}

		$form->input("Numer_zadania","hidden","VALUE=\"$Numer_zadania\"");
		$form->input("Numer_grupy","hidden","VALUE=\"$Numer_grupy\"");
		$form->input("Id_w_cyklu","hidden","VALUE=\"$Id_w_cyklu\"");
		$form->input("Przedmiot_gr","hidden","VALUE=\"$Przedmiot_gr\"");
		$form->input("Cykl_gr","hidden","VALUE=\"$Cykl_gr\"");
		$form->input("Cykl_nazwa_gr","hidden","VALUE=\"$Cykl_nazwa_gr\"");
		$form->input("Zad_gr","hidden","VALUE=\"$Zad_gr\"");
		$form->input("What","hidden","VALUE=\"x\"");
		printf("<P><INPUT TYPE=\"submit\" VALUE=\"OK\">\n");
	    	printf("<INPUT TYPE=\"reset\" VALUE=\"ZLE\"></P>\n");
		$form->close();
		print("</TD>");
		$tab->close();
	}
	if ($wynik == 'x') {
		print("<H3>Zmodyfikowane</H3>");
	}
	if ($wynik == 'n') {
		$text = getLittle();
		print("Nie udało się przeprowadzić operacji modyfikacji zadania:<BR> $text.");		
	}
	printf("<BR>\n");
	//printf("<BR>\n");
	linkSklad("-> wybór zadania", $Numer_grupy, $Id_w_cyklu, $Przedmiot_gr, $Cykl_gr, $Cykl_nazwa_gr, "", "");
	printf("<BR>\n");
	printf("<BR>\n");
	$link = new CLink ("Asys_grup", "Asys_grup");
	$link->addFirstParam("Kod_cyklu",$Cykl_gr);
	$link->lprint("-> wybór grupy");
	printf("<BR>\n");
	printf("<BR>\n");
	$link = new CLink ("Asys_cykle", "Asys_cykle");
	$link->lprint("-> wybór spośród cykli");
//	printf("<BR>\n");
//	printf("<BR>\n");
//	$link = new CLink ("Asys_wstep", "empty");
//	$link->lprint("-> strona wstępna");

	delLittleData();
	delModData();
?>
